Show / Hide Table of Contents

Class StatusDefProvider

Return list of status monitors defined in the system. Additional info query parameter = "Contact" or "project".

Inheritance
object
AnyTableListProviderBase
StatusDefProvider
Implements
ISoListProvider
ISoList
Inherited Members
AnyTableListProviderBase._historyListSize
AnyTableListProviderBase.ConstructAsync(string, string, int[], bool, string, bool, CancellationToken)
AnyTableListProviderBase.GetHistoryItemsAsync(CancellationToken)
AnyTableListProviderBase.ClearHistoryItems()
AnyTableListProviderBase.GetRootItemsAsync(CancellationToken)
AnyTableListProviderBase.GetHeadingItemsAsync(CancellationToken)
AnyTableListProviderBase.GetRootItemsAsync()
AnyTableListProviderBase.OnPreGetRootItemsAsync(List<ISoListItem>)
AnyTableListProviderBase.OnPostGetRootItemsAsync(List<ISoListItem>)
AnyTableListProviderBase.SetHistoryRestriction(Select)
AnyTableListProviderBase.SetHistoryListSizeFromPreference()
AnyTableListProviderBase.ExecuteQueryAsync(Select, List<ISoListItem>, CancellationToken)
AnyTableListProviderBase.ExecuteReaderAsync(SoCommand, CancellationToken)
AnyTableListProviderBase.ListName
AnyTableListProviderBase.AdditionalInfo
AnyTableListProviderBase.HistoryIDs
AnyTableListProviderBase.OnlyReadHistory
AnyTableListProviderBase.ExcludeHistory
AnyTableListProviderBase.SearchValue
AnyTableListProviderBase.ForceFlatList
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
Namespace: SuperOffice.CRM.Lists
Assembly: SoDataBase.BusinessLogic.dll
Syntax
[MDOProviderPlugin("StatusDef")]
[MDOAdditionalInfoSeparator("&")]
[MDOAdditionalInfo("GetDeletedStatusDefs", "Include deleted records", true)]
[MDOAdditionalInfo("GetOwnerTable", "Name of owner table", "Project")]
public class StatusDefProvider : AnyTableListProviderBase, ISoListProvider, ISoList
Examples

Example of AdditionalInfo:

GetOwnerTable=project&GetDeletedStatusDefs=true

Constructors

StatusDefProvider()

Return list of status monitors defined in the system. Additional info query parameter = "Contact" or "project".

Declaration
public StatusDefProvider()
Examples

Example of AdditionalInfo:

GetOwnerTable=project&GetDeletedStatusDefs=true

Fields

ProviderName

Provider name

Declaration
public const string ProviderName = "StatusDef"
Field Value
Type Description
string

Properties

HistoryInfo

History information for the supported list

Declaration
public override HistoryInfo HistoryInfo { get; }
Property Value
Type Description
HistoryInfo
Overrides
AnyTableListProviderBase.HistoryInfo

TableInfo

Main table info used in the selection query.
This table info is used for getting history items.

Declaration
protected override TableInfo TableInfo { get; }
Property Value
Type Description
TableInfo
Overrides
AnyTableListProviderBase.TableInfo

Methods

GetHistoryItemsFromDbAsync(CancellationToken)

No history on this table

Declaration
protected override Task<List<ISoListItem>> GetHistoryItemsFromDbAsync(CancellationToken cancellationToken = default)
Parameters
Type Name Description
CancellationToken cancellationToken
Returns
Type Description
Task<List<ISoListItem>>
Overrides
AnyTableListProviderBase.GetHistoryItemsFromDbAsync(CancellationToken)

GetMainQueryAsync(CancellationToken)

Obtain the main query for the selection

Declaration
protected override Task<Select> GetMainQueryAsync(CancellationToken cancellationToken = default)
Parameters
Type Name Description
CancellationToken cancellationToken
Returns
Type Description
Task<Select>

Main query for the selection.

Overrides
AnyTableListProviderBase.GetMainQueryAsync(CancellationToken)

InitAsync(CancellationToken)

Initiate the provider after the ConstructAsync(string, string, int[], bool, string, bool, CancellationToken) method is called.

Declaration
protected override Task InitAsync(CancellationToken cancellationToken)
Parameters
Type Name Description
CancellationToken cancellationToken
Returns
Type Description
Task
Overrides
AnyTableListProviderBase.InitAsync(CancellationToken)

OnRead(SoDataReader, short)

Handle reading of each item in the selection list

Declaration
protected override ISoListItem OnRead(SoDataReader reader, short lastRank)
Parameters
Type Name Description
SoDataReader reader

Reader exposing data read from the database.

short lastRank

Last rank used when populating the list.

Returns
Type Description
ISoListItem

List item objects

Overrides
AnyTableListProviderBase.OnRead(SoDataReader, short)

SetSearchRestrictionAsync(Select, string)

Set search restriction on the selection.

Declaration
protected override Task SetSearchRestrictionAsync(Select sql, string searchValue)
Parameters
Type Name Description
Select sql

Sql to modify

string searchValue

value of the search restriction.

Returns
Type Description
Task
Overrides
AnyTableListProviderBase.SetSearchRestrictionAsync(Select, string)

Implements

ISoListProvider
ISoList

Extension Methods

EnumUtil.MapEnums<From, To>(From)
Converters.MapEnums<From, To>(From)
ObjectExtensions.AssignByReflection<T>(T, T)
ObjectExtensions.GraphCopy<T>(T)
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top